Share or unshare the assets of an asset type

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /actions/projects/{project_id}/asset-types/{asset_type_id}/assets/share

Share or unshare all the assets of a project that have the asset type of the path. You must be a manager of the project.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

  • asset_type_id string(uuid) Required

    Unique identifier of the asset type

application/json

Body

  • is_shared boolean

    Whether to share or unshare the assets

Responses

  • 200 application/json

    The updated assets

    Hide response attributes Show response attributes object
    • updated_count integer

      Number of assets updated

    • project_id string(uuid)

      Project identifier

    • asset_type_id string(uuid)

      Asset type identifier

  • 400

    The body is not valid

  • 403

    You are not a manager of the project

POST /actions/projects/{project_id}/asset-types/{asset_type_id}/assets/share
curl -X POST "http://api.example.com/actions/projects/a24a6ea4-ce75-4665-a070-57453082c25/asset-types/a24a6ea4-ce75-4665-a070-57453082c25/assets/share" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "is_shared": true
}'
import requests

url = "http://api.example.com/actions/projects/a24a6ea4-ce75-4665-a070-57453082c25/asset-types/a24a6ea4-ce75-4665-a070-57453082c25/assets/share"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "is_shared": true
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "is_shared": true
}
Response examples (200)
{
  "updated_count": 3,
  "project_id": "b35b7fb5-df86-5776-b181-68564193d360",
  "asset_type_id": "c46c80c6-e097-6887-c292-79675204e470"
}